{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.austroraptor.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						{
							"eating": "query.is_eating"
						},
						{
							"sit": "!query.is_sleeping && query.is_sitting"
						},
						"look_at_target",
						"setup",
						"baby_transform",
						"turn_angle"
					],
					"transitions": [
						{
							"ability": "query.is_roaring"
						}
					],
					"blend_transition": 0.25
				},
				"ability": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						{
							"eating": "query.is_eating"
						},
						{
							"sit": "!query.is_sleeping && query.is_sitting"
						},
						"look_at_target",
						"setup",
						"baby_transform",
						"ability"
					],
					"transitions": [
						{
							"default": "!query.is_roaring"
						}
					],
					"blend_transition": 0.25
				}
			}
		},
		"controller.animation.austroraptor.move": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"idle": "!query.is_in_water && !query.is_sitting"
						},
						{
							"wade_idle": "query.is_on_ground && query.is_in_water && !query.is_sitting"
						},
						{
							"swim_idle": "!query.is_on_ground && query.is_in_water && !query.is_sitting"
						}
					],
					"transitions": [
						{
							"moving": "variable.moving"
						}
					],
					"blend_transition": 0.25
				},
				"moving": {
					"animations": [
						{
							"walk": "!query.is_in_water && !query.is_sitting && query.modified_move_speed < 0.95"
						},
						{
							"sprint": "!query.is_in_water && !query.is_sitting && query.modified_move_speed > 0.95"
						},
						{
							"wade_walk": "query.is_on_ground && query.is_in_water && !query.is_sitting"
						},
						{
							"swim": "!query.is_on_ground && query.is_in_water && !query.is_sitting"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving || query.is_playing_dead"
						}
					],
					"blend_transition": 0.25
				}
			}
		}
	}
}